#include<iostream>
#include<stdio.h>
#include<iomanip>
using namespace std;

double x[2005],y[2005];
long double gl[2005][2005],ans=0,mx;
bool ok[2005][2005];
long int n,i,j,rem1,rem2;

void swap(double arg1,double arg2)
{
    double tmp;
    tmp=arg1;
    arg1=arg2;
    arg2=tmp;
}

int main()
{
  freopen("farmeri.in","r",stdin);
  freopen("farmeri.out","w",stdout);
  cin>>n;
  for (i=0;i<n;i++) scanf("%lf %lf",&x[i],&y[i]);
  x[n]=x[0];
  y[n]=y[0];
  for (i=0;i<n;i++)
  {
      for (j=0;j<n;j++) gl[i][j]=x[i]*y[j]-x[j]*y[i];
  }
  mx=1<<30;
  mx*=-1;
  for (i=0;i<n;i++)
  for (j=0;j<n;j++) if ((gl[i][j]>mx) && (ok[i][j]==false))
  {
      mx=gl[i][j];
      rem1=i;
      rem2=j;
  }
  ans+=mx;
  ok[rem1][rem2]=true;
  mx=1<<30;
  mx*=-1;
  for (i=0;i<n;i++)
  for (j=0;j<n;j++) if ((gl[i][j]>mx) && (ok[i][j]==false))
  {
      mx=gl[i][j];
  }
  ans+=mx;
  ans/=2;
  cout<<fixed<<setprecision(3)<<ans<<endl;
  return 0;
}
